"{ Package: 'stx:libbasic2' }"

LibraryDefinition subclass:#stx_libbasic2
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!


!stx_libbasic2 class methodsFor:'description'!

classNamesAndAttributes
    ^ #(
	"/ <className> or (<className> attributes...)
	'ActorStream'
	('AppletalkSocketAddress' #autoload)
	('Archiver' #unix)
	('Arrow' #autoload)
	('ArrowedSpline' #autoload)
	('BIG5EncodedString' #autoload)
	('BZip2Stream' #unix)
	'Base64Coder'
	('Bezier' #autoload)
	('Bezier2Segment' #autoload)
	('BinaryTree' #autoload)
	'BitArray'
	'BooleanArray'
	('CRC32Stream' #autoload)
	'CacheDictionary'
	'CacheDictionaryWithFactory'
	('Circle' #autoload)
	('CollectingSharedQueueStream' #autoload)
	'CompressionStream'
	('CompressionStreamTest' #autoload)
	('Cons' #autoload)
	('ConsStream' #autoload)
	('Curve' #autoload)
	('DecNetSocketAddress' #autoload)
	'DirectoryContents'
	('EllipticalArc' #autoload)
	('EpsonFX1PrinterStream' #autoload)
	('ExternalLong' #autoload)
	'FileSorter'
	('FileText' #autoload)
	'FileURI'
	'FourByteString'
	'FtpURI'
	('GBEncodedString' #autoload)
	('HPLjetIIPrinterStream' #autoload)
	('HandlerCollection' #autoload)
	'HierarchicalURI'
	'HostAddressLookupError'
	'HostNameLookupError'
	'HttpURI'
	'IPSocketAddress'
	'IPv6SocketAddress'
	'IntegerArray'
	('InterestConverterWithParameters' #autoload)
	('InternalPipeStream' #autoload)
	'Iterator'
	'JISEncodedString'
	('KSCEncodedString' #autoload)
	('KeywordInContextIndexBuilder' #autoload)
	('LazyArray' #autoload)
	('LazyCons' #autoload)
	('LazyValue' #autoload)
	('LineSegment' #autoload)
	'List'
	'LongIntegerArray'
	'MappedCollection'
	('MessageChannel' #autoload)
	'Monitor'
	'NameLookupError'
	('NumberSet' #autoload)
	('OperationQueue' #autoload)
	'OrderedDictionary'
	'OrderedSet'
	'Polygon'
	'PostscriptPrinterStream'
	('PowerSet' #autoload)
	'PrinterStream'
	('PrintfScanf' #autoload)
	'Promise'
	'Queue'
	'Random'
	'RandomGenerator'
	('RandomParkMiller' #autoload)
	('RandomTT800' #autoload)
	'RunArray'
	('SequenceableCollectionSorter' #autoload)
	('SerialPort' #win32)
	'SharedCollection'
	'SharedQueue'
	'SignedIntegerArray'
	'SignedLongIntegerArray'
	'SignedWordArray'
	'Singleton'
	'Socket'
	'SocketAddress'
	'SocketAddressInfo'
	'SoundStream'
	('Spline' #autoload)
	('SplittingWriteStream' #autoload)
	'Stack'
	'Text'
	'TextStream'
	'TimeDuration'
	'TimedPromise'
	'TwoByteString'
	'UDSocketAddress'
	'URI'
	'UUID'
	'UnboxedIntegerArray'
	'UndoSupport'
	'Unicode16String'
	'Unicode32String'
	'UnitConverter'
	('UnixPTYStream' #autoload)
	('ValueLink' #autoload)
	('VariableArray' #autoload)
	('VariableString' #autoload)
	('WinAPIFunction' #autoload)
	'WordArray'
	'ZipArchive'
	('ZipStream' #unix)
	'stx_libbasic2'
    )
!

extensionMethodNames
    ^ #(
    )
! !

!stx_libbasic2 class methodsFor:'description - compilation'!

additionalLinkLibraries_make_dot_proto
    ^ '$(ZLIB_LD_ARG) $(BZ2LIB_LD_ARG)'
!

additionalRules_make_dot_proto
    ^ '
zlib:
        cd $(ZLIB_DIR); $(MAKE) $(MAKE_ZLIB_ARG)

bz2lib:
        cd $(BZ2LIB_DIR); $(MAKE) $(MAKE_BZ2LIB_ARG) libbz2.a
'
!

stcOptimizationOptions
    ^ '+optspace2'

    "Created: / 23-08-2006 / 11:06:17 / cg"
! !

!stx_libbasic2 class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2006\nCopyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libbasic2 class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic2/stx_libbasic2.st,v 1.5 2006-08-24 20:57:29 cg Exp $'
! !
